Loading...

Authentication

POST
/oauth

We use the industry-standard oAuth2 authentication to secure our API.

Information you'll need

  • Your Client ID and Client Secret (from the application you created in Fuzebox).
  • Your API username and password (from the API credentials section in Fuzebox).

Step-by-step instructions on how to authenticate are available in our implementation guides area.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/oauth" \  -H "Content-Type: application/json" \  -d '{    "grant_type": "password",    "client_id": "5b3fa7ba-57d3-4017-a65b-d57dcd2db643",    "client_secret": "374b44bd-d20e-449c-8088-12bd82599d35",    "username": "string",    "password": "string"  }'
{  "access_token": "eyJ0eXAiOi...",  "token_type": "Bearer",  "expires_in": 86400,  "refresh_token": "50679c5db61d63b107273fa11a666a09fc7ae28"}